oggdec(1)

NUME
oggdec - decodificator simplu, de la un fișier Ogg Vorbis la un fișier audio PCM (Wave sau RAW)

SINOPSIS
oggdec [ -Qhv ] [ -b octeți_per_eșantion ] [ -e endianness ] [ -R ] [ -s signedness ] [ -o fișier-ieșire ] fișier ...

DESCRIERE

oggdec decodifică fișierele Ogg Vorbis în fișiere audio codificate PCM („necomprimate”), fie în format Wave, fie în format RAW.

Pentru fiecare fișier de intrare, oggdec scrie într-un nume de fișier bazat pe numele fișierului de intrare, dar cu extensia schimbată în „.wav” sau „.raw”, după caz.

Dacă fișierul de intrare este specificat ca - , atunci oggdec va citi de la intrarea standard stdin și va scrie la ieșirea standard, cu excepția cazului în care se specifică un nume de fișier de ieșire. De asemenea, dacă se specifică un nume de fișier de ieșire -, ieșirea se va face către ieșirea standard.

Scrierea formatului Wave la ieșirea standard este o idee proastă. Wave necesită un mediu de căutare pentru ca antetul să fie rescris după ce toate datele sunt scrise; ieșirea standard nu este un mediu de căutare.

OPȚIUNI

-Q, --quiet
    Suprimă ieșirea informativă a programului.

-h, --help
    Imprimă mesajul de ajutor.

-V, --version
    Afișează informațiile despre versiune.

-b n, --bits=n
    Biți pe eșantion. Valorile valide sunt 8 sau 16.

-e n, --endian=n
    Stabilește tipul de endianness (ordinea octeților) pentru ieșirea pe 16 biți. 0 (implicit) este little-endian (ordinea octeților Intel). 1 este big-endian (ordine de octeți sănătoasă).

-R, --raw
    Ieșire în format raw. Dacă nu este specificată, se scrie fișierul Wave (anteturi RIFF).

-s n, --sign=n
    Stabilește semnătura pentru ieșire. 0 pentru nesemnat, 1 (implicit) pentru semnat.

-o nume-fișier, --output=nume-fișier
    Scrie ieșirea în numele de fișier specificat. Această opțiune este valabilă numai dacă este specificată o singură intrare [fișier] sau dacă se utilizează modul brut „raw”.

EXEMPLE
Decodificarea unui fișier enabler.ogg la enabler.wav.
 ca little-endian semnat pe 16 biți (opțiuni implicite):
    oggdec enabler.ogg

Decodificarea unui fișier enabler.ogg în enabler.raw ca fișier fără antet little-endian semnat pe 16 biți:
    oggdec --raw enabler.ogg

Decodificarea enabler.ogg în enabler.crazymonkey ca nesemnat pe 8 biți:
    oggdec -b 8 -s 0 -o enabler.crazymonkey enabler.ogg

Decodificarea enabler.ogg în enabler.raw ca big-endian semnat pe 16 biți (oricare dintre următoarele):
    oggdec -R -e 1 -b 16 enabler.ogg
    oggdec -R -e 1 -b 16 -o enabler.raw - < enabler.ogg
    oggdec -R -e 1 -b 16 - < enabler.ogg > enabler.raw

Decodificare în masă (foo.ogg în foo.wav, bar.ogg în bar.wav, quux.ogg în quux.wav, etc.):
    oggdec *.ogg

AUTORI

  Autorii programului
Michael Smith <msmith@xiph.org>

  Autorii paginilor de manual

Frederick Lee <phaethon@linux.ucla.edu>, ajutat de câteva milioane de maimuțe înarmate cu tastaturi în irc://irc.openprojects.net/#vorbis

CONSULTAȚI ȘI

ogg123(1), oggenc(1), vorbiscomment(1), flac(1), speexdec(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.